From ecafa897c1f54cbc69c79ae045fe4150d8e8af44 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: May 17 2020 07:35:49 +0000
Subject: [PATCH 640/2232] Merge pull request #209 from myronahn/master


Fix for when std::os::raw::c_char is u8 (armv7)
---

diff --git a/tests/test.rs b/tests/test.rs
index ddf8f70..91bd25e 100644
--- a/tests/test.rs
+++ b/tests/test.rs
@@ -141,7 +141,7 @@ fn test_c_call_r() {
         }
         let failure = unsafe { cxx_run_test() };
         if !failure.is_null() {
-            let msg = unsafe { CStr::from_ptr(failure) };
+            let msg = unsafe { CStr::from_ptr(failure as *mut std::os::raw::c_char) };
             eprintln!("{}", msg.to_string_lossy());
         }
     }

